<?php

namespace Drupal\commerce_account_balance;

use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Url;
use Drupal\Core\Link;

class AccountBalanceLinkBuilder {

  protected $currentUser;
  protected $entityTypeManager;

  public function __construct(AccountInterface $current_user, EntityTypeManagerInterface $entity_type_manager) {
    $this->currentUser = $current_user;
    $this->entityTypeManager = $entity_type_manager;
  }

   public function getBalanceLink($order) {

    $data = [];
    $data['order'] = $order;
    $data['customer'] = $order->getCustomer();
    $data['order_id'] = $order->Id();

    if (!$data['customer'] || $data['customer']->isAnonymous()) {
      if ($order->getEmail()) {
        $data['email'] = $order->getEmail();
      }
      else {
        return NULL;
      }
    }
    else {
      $data['id']= $data['customer']->id();
    }

    // Check permissions.
    if (!$this->currentUser->hasPermission('view any account balance') &&
        $this->currentUser->id() != $customer->id()) {
      return NULL;
    }

    $url = Url::fromRoute('commerce_account_balance.account_balance', ['order' => $data['order_id']]);

    $data['mail'] = $data['order']->get("mail")->value;
    $data['orders'] = getMailOrders($data['mail']);
    $data['email_balance'] = getEmailBalance($data['orders']);


    // $data['email_balance']
    return Link::fromTextAndUrl($data['email_balance'], $url)->toRenderable();
  }
}
