<?php

namespace Drupal\commerce_account_balance\Entity;

use Drupal\commerce_price\Price;
use Drupal\user\UserInterface;
use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Provides an interface defining an Account Balance entity.
 */
interface AccountBalanceInterface extends ContentEntityInterface {

  /**
   * Gets the user associated with this balance.
   *
   * @return \Drupal\user\UserInterface
   *   The user entity.
   */
  // public function getOwner();

  /**
   * Gets the user ID associated with this balance.
   *
   * @return int
   *   The user ID.
   */
  // public function getOwnerId();

  /**
   * Sets the user associated with this balance.
   *
   * @param \Drupal\user\UserInterface $user
   *   The user entity.
   *
   * @return $this
   */
  // public function setOwner(UserInterface $user);

  /**
   * Sets the user ID associated with this balance.
   *
   * @param int $uid
   *   The user ID.
   *
   * @return $this
   */
  // public function setOwnerId($uid);

  /**
   * Gets the current account balance.
   *
   * @return \Drupal\commerce_price\Price
   *   The current balance amount.
   */
  // public function getBalance();

  /**
   * Sets the account balance.
   *
   * @param \Drupal\commerce_price\Price $balance
   *   The balance amount to set.
   *
   * @return $this
   */
  // public function setBalance(Price $balance);

  /**
   * Gets the timestamp when the balance was created.
   *
   * @return int
   *   The creation timestamp.
   */
  // public function getCreatedTime();

  /**
   * Gets the timestamp when the balance was last updated.
   *
   * @return int
   *   The modification timestamp.
   */
  // public function getChangedTime();

  /**
   * Adds an amount to the current balance.
   *
   * @param \Drupal\commerce_price\Price $amount
   *   The amount to add.
   *
   * @return $this
   */
  // public function add(Price $amount);

  /**
   * Subtracts an amount from the current balance.
   *
   * @param \Drupal\commerce_price\Price $amount
   *   The amount to subtract.
   *
   * @return $this
   */
  // public function subtract(Price $amount);

  /**
   * Checks if the balance has sufficient funds for an amount.
   *
   * @param \Drupal\commerce_price\Price $amount
   *   The amount to check against.
   *
   * @return bool
   *   TRUE if the balance can cover the amount, FALSE otherwise.
   */
  // public function hasSufficientFunds(Price $amount);

  /**
   * Checks if the balance is below a specified threshold.
   *
   * @param \Drupal\commerce_price\Price $threshold
   *   The threshold amount to check against.
   *
   * @return bool
   *   TRUE if the balance is below the threshold, FALSE otherwise.
   */
  // public function isBelowThreshold(Price $threshold);
}
